glmark2 fails to build with gcc 4.8+

Bug #1091052 reported by Bernhard Rosenkraenzer on 2012-12-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
glmark2
Undecided
Bernhard Rosenkraenzer

Bug Description

glmark2 fails to build with gcc 4.8 because the "%s"m construct in the internal png.h copy is misinterpreted as a C++11 string literal.

Related branches

Jesse Barker (jesse-barker) wrote :

Silly question: why is C code being interpreted as C++11 at all?

Still broken in current git://git.linaro.org/people/jessebarker/glmark2

It's being interpreted as C++11 because it's being included from a C++ file -- glmark2/android/jni/src/image-reader.cpp

Of course just using system libpng may be better either way.

I've pushed a fix to the git repository, chances are you want to add it to the bzr repository as well

Changed in glmark2:
status: New → Fix Committed
assignee: nobody → Bernhard Rosenkraenzer (berolinux)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Patches